> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prontohq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Location Ids

> Get the location id of a specific location



## OpenAPI

````yaml POST /locations
openapi: 3.0.1
info:
  title: Pronto Miscellaneous API
  description: Pronto Miscellaneous API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.prontohq.com/api/v2/
security:
  - defaultApiKey: []
paths:
  /locations:
    post:
      summary: Get the location id of a specific location
      description: >-
        Resolve location names to IDs used by search endpoints. When `hiring` is
        true, locations are resolved via the hiring data source. When `hiring`
        is false or omitted, resolution uses LinkedIn Sales Navigator and
        requires valid LinkedIn credentials on the account.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  example: San Francisco
                  description: The name of the location to get the id of
                hiring:
                  type: boolean
                  default: false
                  example: false
                  description: >-
                    If true, search hiring location data instead of LinkedIn
                    Sales Navigator (no LinkedIn credentials required for this
                    request). If false or omitted, LinkedIn Sales Navigator is
                    used.
              example:
                name: San Francisco
                hiring: false
      responses:
        '200':
          description: Location ID retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                      description: The full name of the location
                    id:
                      type: string
                      description: The ID of the location
              example:
                - name: San Francisco Bay Area
                  id: '90000084'
                - name: San Francisco, California, United States
                  id: '102277331'
components:
  securitySchemes:
    defaultApiKey:
      type: apiKey
      in: header
      description: Your API key
      name: X-API-KEY

````